> ## Documentation Index
> Fetch the complete documentation index at: https://docs.e-invoice.be/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup Peppol participants

> Lookup Peppol participants by name or other identifiers. You can limit the search to a specific country by providing the country code.



## OpenAPI

````yaml /openapi.json get /api/lookup/participants
openapi: 3.1.0
info:
  title: e-invoice.be Peppol Access Point API
  version: 1.1.0
  x-logo:
    url: https://e-invoice.be/einvoice.svg
servers:
  - url: https://api.e-invoice.be
    description: Production
security: []
paths:
  /api/lookup/participants:
    get:
      tags:
        - Lookup
      summary: Lookup Peppol participants
      description: >-
        Lookup Peppol participants by name or other identifiers. You can limit
        the search to a specific country by providing the country code.
      operationId: get_lookup_participants
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
            description: Query to lookup
            title: Query
          description: Query to lookup
        - name: country_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Country code of the company to lookup. If not provided, the search
              will be global.
            title: Country Code
          description: >-
            Country code of the company to lookup. If not provided, the search
            will be global.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PeppolSearchResult'
        '422':
          description: 'Unprocessable Entity: Invalid query'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 'Internal Server Error: Unexpected server error'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PeppolSearchResult:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of results
        used_count:
          type: integer
          title: Used Count
          description: Number of results returned by the API
        participants:
          items:
            $ref: '#/components/schemas/PeppolParticipant'
          type: array
          title: Participants
          description: List of participants
        query_terms:
          type: string
          title: Query Terms
          description: Query terms used for search
        search_date:
          type: string
          title: Search Date
          description: Search date of the result
      type: object
      required:
        - total_count
        - used_count
        - query_terms
        - search_date
      title: PeppolSearchResult
      description: Represents the result of a Peppol directory search
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error response model.
    PeppolParticipant:
      properties:
        peppol_id:
          type: string
          title: Peppol Id
          description: Peppol ID of the participant
        peppol_scheme:
          type: string
          title: Peppol Scheme
          description: Peppol scheme of the participant
        entities:
          items:
            $ref: '#/components/schemas/PeppolEntity'
          type: array
          title: Entities
          description: List of business entities
        document_types:
          items:
            $ref: '#/components/schemas/PeppolDocumentType'
          type: array
          title: Document Types
          description: List of supported document types
      type: object
      required:
        - peppol_id
        - peppol_scheme
      title: PeppolParticipant
      description: Represents a Peppol participant with their details
    PeppolEntity:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Business entity name
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
          description: Country code
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
          description: Website URL
        geo_info:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Info
          description: Geographic information
        additional_info:
          anyOf:
            - type: string
            - type: 'null'
          title: Additional Info
          description: Additional information
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Registration Date
          description: Registration date
        identifiers:
          items:
            $ref: '#/components/schemas/PeppolIdentifier'
          type: array
          title: Identifiers
          description: List of business identifiers
      type: object
      title: PeppolEntity
      description: Represents a business entity
    PeppolDocumentType:
      properties:
        scheme:
          type: string
          title: Scheme
          description: Document type scheme
        value:
          type: string
          title: Value
          description: Document type value
      type: object
      required:
        - scheme
        - value
      title: PeppolDocumentType
      description: Represents a supported document type
    PeppolIdentifier:
      properties:
        scheme:
          type: string
          title: Scheme
          description: Identifier scheme
        value:
          type: string
          title: Value
          description: Identifier value
      type: object
      required:
        - scheme
        - value
      title: PeppolIdentifier
      description: Represents a business identifier

````